controllerApp.controller('clockController', function($scope, $timeout) {

	var d = new Date();
	$scope.clock = {};
	$scope.clock.startTime = d.getTime();
	$scope.clock.clockText = "0:00:00";
	
	$scope.clock.style = {
		"position":"relative",
	};
	
	
	$scope.onClockTimeout = function(){
        $scope.clockText = $scope.getClockText();
        clockTimeout = $timeout($scope.onClockTimeout,1000);
	}
	var clockTimeout = $timeout($scope.onClockTimeout,1000); 
	
	$scope.getClockText = function() {
		var d2 = new Date();
		var dt = d2.getTime() - $scope.clock.startTime;
		var seconds = parseInt(dt/1000);
		var minutes = Math.floor(seconds/60);
		var hours = Math.floor(minutes/60);
		minutes = minutes - hours*60;
		seconds = seconds - minutes*60;
		
		$scope.clock.clockText = hours + ":";
		$scope.clock.clockText += (minutes < 10) ? ("0" + minutes.toString()) : minutes.toString();
		$scope.clock.clockText += ":";
		$scope.clock.clockText += (seconds < 10) ? ("0" + seconds.toString()) : seconds.toString();		
	};

	$scope.reset = function() {
		var cl = new Date();
		$scope.clock.startTime = cl.getTime();
	}
});
