controllerApp.controller('azmController', function($scope, userdataService) {

	$scope.userdata = userdataService.userdata;
	$scope.azm = {};
	$scope.azm.update = false;	
	$scope.azm.style = {
		"display": "inline-block",
		"width":$scope.userdata.height+"px",
		"height":$scope.userdata.height+"px",
		"margin-left":"0px",
		"margin-right":"20px",
		"background-image":"url('styles/images/compass-rose.svg')",
		"background-repeat":"no-repeat",
		"background-position":"center",
		"background-size":"cover"
	};
	
	$scope.OnClick = function(event) {
		gridSize = $scope.userdata.height / 3;		
		gridId = Math.floor(event.offsetX / gridSize) + 3 * Math.floor(event.offsetY / gridSize);
		
		switch (gridId) 
		{
			case 0:
				sendEvent("camera.azm 315");
				break;
			case 1:
				sendEvent("camera.azm 0");
				break;
			case 2:
				sendEvent("camera.azm 45");
				break;
			case 3:
				sendEvent("camera.azm 270");
				break;
			case 4:
				//Middle, no event
				break;
			case 5:
				sendEvent("camera.azm 90");
				break;
			case 6:
				sendEvent("camera.azm 225");
				break;
			case 7:
				sendEvent("camera.azm 180");
				break;
			case 8:
				sendEvent("camera.azm 135");
				break;		
		}		
	};	
});
	