controllerApp.controller('simstopController', function($scope, userdataService) {
	//------
	$scope.userdata = userdataService.userdata;
	$scope.simstop = {};
	$scope.simstop.style = {
		"display":"inline-block",
		"width":$scope.userdata.height*(170/512)+"px", // 170/512 is aspect ratio of stop.svg
		"height":$scope.userdata.height+"px",
		"margin-left":"0px",
		"margin-right":"20px",
		"background-image":"url('styles/images/stop.svg')",
		"background-repeat":"no-repeat",
		"background-position":"center",
		"background-size":"cover"
	};	
	$scope.simstop.color = "gray";
	//------
	$scope.OnClick = function(event) {
		$scope.userdata.simstop.stopped = true;
		$scope.simstop.color = "gray";
		sendEvent("system.setsimulatedtimevelocity 0.0");
		sendEvent("time.set annualmotion=false");
	}
	//------
	$scope.$watch('userdata.dailymotion.slidervalue', function(newval, oldval) {		
		if (newval != 0) {
			$scope.userdata.simstop.stopped = false;
			$scope.simstop.color = "firebrick";
		}
	});
	//------
	$scope.$watch('userdata.annualmotion.slidervalue', function(newval, oldval) {		
		if (newval != 0) {
			$scope.userdata.simstop.stopped = false;
			$scope.simstop.color = "firebrick";
		}
	});
});
	