controllerApp.controller('showController', function($scope, userdataService) {
	//------
	$scope.userdata = userdataService.userdata;	
	$scope.loadedshow = "";
	$scope.isplaying = false;
	//------		
	$scope.Load = function(show) {
		$scope.loadedshow = show;
		sendEvent("flight.load " + show.path);
		sendEvent("system.fadeout");
		$scope.isplaying = false;
	}
	//------
	$scope.IsLoaded = function() {
		return $scope.loadedshow == "" ? false : true;
	}
	//------	
	$scope.Play = function() {
		if (!$scope.isplaying) {
			sendEvent("system.fadein");
			sendEvent("flight.play " + $scope.loadedshow.path);
			$scope.isplaying = true;
		}
	}
	//------	
	$scope.Pause = function() {
		sendEvent("flight.togglepause");
	}
	//------	
	$scope.Stop = function() {
		sendEvent("flight.stop");
		$scope.isplaying = false;
	}
	//------	
	$scope.IsPlaying = function() {
		return $scope.isplaying;
	}
});
	